# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`dnsclient`](#dnsclient): Manage DNS resolver

## Classes

### <a name="dnsclient"></a>`dnsclient`

This module manages `/etc/resolv.conf`.

#### Parameters

The following parameters are available in the `dnsclient` class:

* [`nameservers`](#nameservers)
* [`options`](#options)
* [`search`](#search)
* [`domain`](#domain)
* [`sortlist`](#sortlist)
* [`resolver_config_file`](#resolver_config_file)
* [`resolver_config_file_ensure`](#resolver_config_file_ensure)
* [`resolver_config_file_owner`](#resolver_config_file_owner)
* [`resolver_config_file_group`](#resolver_config_file_group)
* [`resolver_config_file_mode`](#resolver_config_file_mode)

##### <a name="nameservers"></a>`nameservers`

Data type: `Array[Stdlib::IP::Address]`

Array of nameservers. The default use Google's public name servers.

Default value: `['8.8.8.8', '8.8.4.4']`

##### <a name="options"></a>`options`

Data type: `Array`

Array of options. Set to `[]` if no options line should be present.

Default value: `['rotate', 'timeout:1']`

##### <a name="search"></a>`search`

Data type: `Optional[Array[String[1]]]`

Optional array of domains for search list. This is mutually exclusive with `domain`.

Default value: ``undef``

##### <a name="domain"></a>`domain`

Data type: `Optional[Stdlib::Fqdn]`

Optional domain setting. This is mutually exclusive with `search`.

Default value: ``undef``

##### <a name="sortlist"></a>`sortlist`

Data type: `Optional[Array[String[1]]]`

Optional array of sortlist entries

Default value: ``undef``

##### <a name="resolver_config_file"></a>`resolver_config_file`

Data type: `Stdlib::Absolutepath`

Path to resolv.conf

Default value: `'/etc/resolv.conf'`

##### <a name="resolver_config_file_ensure"></a>`resolver_config_file_ensure`

Data type: `String[1]`

Value of ensure attribute for the /etc/resolv.conf file resource

Default value: `'file'`

##### <a name="resolver_config_file_owner"></a>`resolver_config_file_owner`

Data type: `String[1]`

User of /etc/resolv.conf

Default value: `'root'`

##### <a name="resolver_config_file_group"></a>`resolver_config_file_group`

Data type: `String[1]`

Group of /etc/resolv.conf

Default value: `'root'`

##### <a name="resolver_config_file_mode"></a>`resolver_config_file_mode`

Data type: `Stdlib::Filemode`

Mode of /etc/resolv.conf in octal format

Default value: `'0644'`

